
.social-links {
    display: flex;
  }
  
  .social-links a {
    width: 100px;
    height: 100px;
    text-align: center;
    text-decoration: none;
    color: #000;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.05);
    margin: 0 30px;
    border-radius: 50%;
    position: relative;
    overflow: hidden;
    transition: transform 0.5s;
  }
  
  .social-links a .fab {
    font-size: 30px;
    line-height: 80px;
    position: relative;
    z-index: 10;
    transition: color 0.5s;
  }
  
  .social-links a::after {
    content: '';
    width: 100%;
    height: 100%;
    top: -90px;
    left: 0;
    background: #000;
    background: linear-gradient(-45deg, #ed1c94, #ffec17);
    position: absolute;
    transition: 0.5s;
  }
  
  .social-links a:hover::after {
    top: 0;
  }
  
  .social-links a:hover .fab {
    color: #fff;
  }
  
  .social-links a:hover {
    transform: translateY(-10px);
  }
  